Re: Having trouble compiling Apache 2.3.3 in 32bit HP-UX 11.00 (306 Views)
Reply
Regular Advisor
Greg OBarr
Posts: 146
Registered: ‎02-28-2001
Message 1 of 6 (306 Views)

Having trouble compiling Apache 2.3.3 in 32bit HP-UX 11.00

Hi all,

I'm using the configure command:

./configure --with-apxs2=/opt/apache2.2/bin/apxs --with-openssl=/usr/local/openssl \
--with-zlib-dir=/usr/local/lib --prefix=/opt/apache2.2 --with-gettext --enable-ftp \
--enable-calendar --enable-soap --enable-rewrite=shared --enable-spelling=shared

Also, I'm using the HP ANSI/C compiler, not gcc (with gcc I get the error: C compiler cannot create executables. Using gcc 4.1.1) I have GNU libtool 1.5.8 installed.

Configure finishes with no errors. When I run "make" (using /usr/ccs/bin/make), it completes with two notes/warnings:

libtool: link: warning: this platform does not like uninstalled shared libraries
libtool: link: `httpd' will be relinked during installation

When I run "make install", it bombs with the following error:

libtool: link: unable to infer tagged configuration
libtool: link: specify a tag with `--tag'
libtool: install: error: relink `libaprutil-1.la' with the above command before installing it
*** Error exit code 1

Stop.
*** Error exit code 1

Anybody seen this? By the way, I need the shared libraries because I'm trying to add "mod_perl" and "libapreq2-2.08" to the Apache installation.

I have seen a lot of references on the web to problems with shared libraries in 32bit HP-UX. Anybody seen, or better yet, overcome any problems like this?

Thanks in advance.

-greg
Please use plain text.
Honored Contributor
Arunvijai_4
Posts: 4,194
Registered: ‎04-07-2005
Message 2 of 6 (306 Views)

Re: Having trouble compiling Apache 2.3.3 in 32bit HP-UX 11.00

Hi Greg,

I would suggest you to check with "gmake" instead of "make". You can download gmake from

http://hpux.connect.org.uk/hppd/hpux/Gnu/make-3.81/

-Arun
"A ship in the harbor is safe, but that is not what ships are built for"
Please use plain text.
Regular Advisor
Greg OBarr
Posts: 146
Registered: ‎02-28-2001
Message 3 of 6 (306 Views)

Re: Having trouble compiling Apache 2.3.3 in 32bit HP-UX 11.00

Tried that. I get:

C compiler cannot make executables
Please use plain text.
Exalted Contributor
Steven E. Protter
Posts: 33,806
Registered: ‎08-15-2002
Message 4 of 6 (306 Views)

Re: Having trouble compiling Apache 2.3.3 in 32bit HP-UX 11.00

Shalom Greg,

I think gmake is the way to go.

I think you are missing some gtk tools that gmake needs. On the site Arun provided make sure all dependencies are installed.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Please use plain text.
Regular Advisor
Greg OBarr
Posts: 146
Registered: ‎02-28-2001
Message 5 of 6 (306 Views)

Re: Having trouble compiling Apache 2.3.3 in 32bit HP-UX 11.00

Sorry, but it looks like I have everything I need. I don't understand why it's not working.

[cadb02a]# pwd
/UTIL/httpd-2.2.3
[cadb02a]# uname -a
HP-UX cadb02a B.11.00 A 9000/800 529706577 two-user license
[cadb02a]# gmake --version
GNU Make 3.81
Copyright (C) 2006 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.
There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.

This program built for hppa2.0w-hp-hpux11.11
[cadb02a]# gcc --version
gcc (GCC) 4.1.1
Copyright (C) 2006 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

[cadb02a]# perl --version

This is perl, v5.8.8 built for PA-RISC2.0

Copyright 1987-2006, Larry Wall

Perl may be copied only under the terms of either the Artistic License or the
GNU General Public License, which may be found in the Perl 5 source kit.

Complete documentation for Perl, including FAQ lists, should be found on
this system using "man perl" or "perldoc perl". If you have access to the
Internet, point your browser at http://www.perl.org/, the Perl Home Page.

[cadb02a]# export CC=gcc
[cadb02a]# ./configure --with-apxs2=/opt/apache2.2/bin/apxs --with-openssl=/usr/local/openssl \
> --with-zlib-dir=/usr/local/lib --prefix=/opt/apache2.2 --with-gettext --enable-ftp \
> --enable-calendar --enable-soap --enable-shared=all
checking for chosen layout... Apache
checking for working mkdir -p... yes
checking build system type... hppa2.0w-hp-hpux11.00
checking host system type... hppa2.0w-hp-hpux11.00
checking target system type... hppa2.0w-hp-hpux11.00

Configuring Apache Portable Runtime library ...

checking for APR... reconfig
configuring package in srclib/apr now
checking build system type... hppa2.0w-hp-hpux11.00
checking host system type... hppa2.0w-hp-hpux11.00
checking target system type... hppa2.0w-hp-hpux11.00
Configuring APR library
Platform: hppa2.0w-hp-hpux11.00
checking for working mkdir -p... yes
APR Version: 1.2.7
checking for chosen layout... apr
checking for gcc... gcc
checking for C compiler default output file name... configure: error: C compiler cannot create executables
See `config.log' for more details.
configure failed for srclib/apr

[cadb02a]# tail config.log
shared_build=''
sharedstatedir='${prefix}/com'
sysconfdir='${prefix}/conf'
target='hppa2.0w-hp-hpux11.00'
target_alias=''
target_cpu='hppa2.0w'
target_os='hpux11.00'
target_vendor='hp'

configure: exit 0
Please use plain text.
Regular Advisor
Greg OBarr
Posts: 146
Registered: ‎02-28-2001
Message 6 of 6 (306 Views)

Re: Having trouble compiling Apache 2.3.3 in 32bit HP-UX 11.00

OK. I had gmake installed from another depot that I had gotten from HP. It said it was the same version, but the binary was /usr/local/bin/make, not /usr/local/bin/gmake. A make --version would show the same version, but maybe it wasn't. Actually I think it was the one for HP-UX 11.00. The one your link points to says it's for HP-UX 11.11, but it installed and it works - only it installs a binary called /usr/local/bin/gmake.

Anyway, when I installed it, it didn't work at first. I ended up deleting the apache 2.3.3 source and re-extracting it. I still had a problem with libaprutil-1.a and I had to copy one from a previous make (without shared libraries in the configure), as in
cp /opt/apache2.2.OLD/lib/libaprutil-1.a /UTIL/httpd-2.2.3/srclib/apr-util/.libs/libaprutil-1.a ... and it worked.

Thanks for the help, guys!
Please use plain text.
The opinions expressed above are the personal opinions of the authors, not of HP. By using this site, you accept the Terms of Use and Rules of Participation